<EntityClassDefinition.LockedLootableContainer_Deadbolt __id="d128d9d8-28fe-4cfd-9e2d-930626b68f3e" __path="libs/foundry/records/entities/scitem/lootables/lockedlootablecontainer_deadbolt.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/buildingsets/human/lowtech/prop/storage/crate/crate_metal_3_01x005x0037_a.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="1" FirstInteractionPrimary="1" HelperName="" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="1">
                <Interaction __type="SSharedInteractionParams" available="1" DisplayName="@interaction_loot" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <conditionList __type="InteractionConditionList">
                    <conditionParams>
                      <InteractionConditionCanOpenExternalInventory __type="InteractionConditionParams" __polymorphicType="InteractionConditionCanOpenExternalInventory">
                        <conditionDisplay __type="ConditionDisplayParams" autoStoreOption="None" blockedCursor="None" blockedHint="None" blockedText="None" exclusiveDisplay="0">
                          <blockedColor __type="BlockedColorParams" applyImmediately="1" selectedColor="c6688c07-0987-4e85-82b7-04458356db8a" unselectedColor="902844b1-8817-4b46-8770-045beee67ce0" />
                        </conditionDisplay>
                      </InteractionConditionCanOpenExternalInventory>
                    </conditionParams>
                    <conditionToHideParams />
                    <presetList />
                  </conditionList>
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.10000000149011612" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks>
          <SSequencerInteractionTask __type="SSequencerDefTaskParams" __polymorphicType="SSequencerInteractionTask" interaction="Open" triggerType="Self" />
          <SSequencerInteractionTask __type="SSequencerDefTaskParams" __polymorphicType="SSequencerInteractionTask" interaction="Close" triggerType="Self" />
        </interactionTasks>
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@interaction_loot" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@interaction_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="53a125e9-0c3b-4013-b77f-12039ba41bd9" LockedByLinks="0" Name="OnUnlocked" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SCItemInventoryContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SCItemInventoryContainerComponentParams" canAutoStoreRestrictedItems="0" containerParams="5f9b0719-86c0-4f59-9100-9723b37df0af">
      <openInventoryInteraction __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@interaction_loot" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </openInventoryInteraction>
    </SCItemInventoryContainerComponentParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="LootableContainer" Type="UNDEFINED">
        <inventoryOccupancyDimensions __type="Vec3" x="1.0" y="0.5" z="0.5" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="26604" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="States" networkAuthority="Server" StateTypeName="ContainerState">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Closed">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <EnterStatePlaySequence __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" interaction="None" name="CloseContainer">
              <taskEntries>
                <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
                  <dependentTasks />
                  <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_close" layerId="0" looping="0" playbackSpeed="1.0" />
                </SSequencerSequenceTaskEntryParams>
                <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
                  <dependentTasks />
                  <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_rear_close" layerId="1" looping="0" playbackSpeed="1.0" />
                </SSequencerSequenceTaskEntryParams>
              </taskEntries>
            </EnterStatePlaySequence>
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions>
              <SInteractionStateTransition __type="SInteractionStateTransition">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="classReference_structure:InteractionConditionList" DisplayName="@interaction_loot" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="classReference_structure:SReplicatedSequencerDefSequenceParams" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Open" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags />
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  </Interactions>
                </NextState>
              </SInteractionStateTransition>
            </Interactions>
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers>
            <InventoryStateModifier __type="SStateModifier" __polymorphicType="InventoryStateModifier" ClosedState="None">
              <OpenedState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="classReference_structure:SReplicatedSequencerDefSequenceParams" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Open" stateTags="structInstance_TagList_props:1">
                <EnterEventDispatchers />
                <enterStateEffectTags />
                <exitStateEffectTags />
                <Interactions>
                  <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                </Interactions>
              </OpenedState>
            </InventoryStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="classReference_structure:SReplicatedSequencerDefSequenceParams" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Closed" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="classReference_structure:SReplicatedSequencerDefSequenceParams" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Open" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" networkAuthority="Server" StateTypeName="LockStates">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Locked">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions>
              <SInteractionStateTransition __type="SInteractionStateTransition">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="53a125e9-0c3b-4013-b77f-12039ba41bd9" LockedByLinks="0" Name="OnUnlocked" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unlocked" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags />
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                  </Interactions>
                </NextState>
              </SInteractionStateTransition>
            </Interactions>
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers />
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Locked" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Unlocked" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="" AnimationDatabase="" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks>
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_open" layerId="0" looping="0" playbackSpeed="1.0" />
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_rear_open" layerId="1" looping="0" playbackSpeed="1.0" />
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_close" layerId="0" looping="0" playbackSpeed="1.0" />
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_rear_close" layerId="1" looping="0" playbackSpeed="1.0" />
      </AnimationTasks>
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SEntityComponentSequencerParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentSequencerParams" resetSequence="None">
      <sequences>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" interaction="None" name="OpenContainer">
          <taskEntries>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_open" layerId="0" looping="0" playbackSpeed="1.0" />
            </SSequencerSequenceTaskEntryParams>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="loot_rear_open" layerId="1" looping="0" playbackSpeed="1.0" />
            </SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" interaction="None" name="CloseContainer">
          <taskEntries>
            <SSequencerSequenceTaskEntryParams>classReference_structure:SSequencerSequenceTaskEntryParams</SSequencerSequenceTaskEntryParams>
            <SSequencerSequenceTaskEntryParams>classReference_structure:SSequencerSequenceTaskEntryParams</SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
      </sequences>
    </SEntityComponentSequencerParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" materialEffects="None" particleEffects="None" soundEffects="None" uiOwnerEffects="None">
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <DissolveParams __type="DataForgeComponentParams" __polymorphicType="DissolveParams" dissolveDuration="1.5" startDissolved="1" />
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Lock" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="0" MinSize="0" Name="Lock" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.25999999046325684" z="0.2800000011920929" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries>
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="ContainerLockDeadbolt" inventoryContainer="None" itemPortName="Lock" loadout="None" />
        </entries>
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
  </Components>
  <StaticEntityClassData />
  <tags 2fcefd2d-f5d3-4c6a-b62f-3cc48d517e7d="2fcefd2d-f5d3-4c6a-b62f-3cc48d517e7d" />
</EntityClassDefinition.LockedLootableContainer_Deadbolt>